Groovy 1.7.0

## groovy.jmx.builder
Class JmxBuilderModelMBean.AttributeChangedListener

    java.lang.Object
      groovy.jmx.builder.JmxBuilderModelMBean.AttributeChangedListener

All Implemented Interfaces:
  NotificationListener

    class JmxBuilderModelMBean.AttributeChangedListener

Internal class AttributeChangedListener provides hooks to handle attribute-change events that occurs on registered MBeans.

author:
  Vladimir Vivien

see:
  JmxBuilderModelMBean

Constructor Summary
`private JmxBuilderModelMBean.AttributeChangedListener()`

Method Summary
`static AttributeChangedListener` | `getListener()` Returns an instance of the AttributeChangedListener.
`void` | `handleNotification(Notification notification, Object handback)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JmxBuilderModelMBean.AttributeChangedListener

    private JmxBuilderModelMBean.AttributeChangedListener()

Method Detail

### getListener

    public static AttributeChangedListener getListener()

  Returns an instance of the AttributeChangedListener.
  return:

### handleNotification

    public void handleNotification(Notification notification, Object handback)

Copyright © 2003-2009 The Codehaus. All rights reserved.